#include <cmath>
#include "Calc_t_valueIndep.h"

using namespace std;

namespace calctvalueindep {

	double sqr(double v) {
		return v * v;
	}

	void calc_t_value_indep(double * X, int nX, double * Y, int nY, double & t, int & df,
		double & meanX, double & meanY, double & sdX, double & sdY) {
		double sum = 0.0;
		for (int i = 0; i < nX; i++)
			sum += X[i];
		meanX = sum / nX;
		sum = 0.0;
		for (int i = 0; i < nY; i++)
			sum += Y[i];
		meanY = sum / nY;

		double sumXX = 0.0;
		for (int i = 0; i < nX; i++)
			sumXX += sqr(X[i] - meanX);
		sdX = sqrt(sumXX / nX);
		double sumYY = 0.0;
		for (int i = 0; i < nY; i++)
			sumYY += sqr(Y[i] - meanY);
		sdY = sqrt(sumYY / nY);

		df = nX + nY - 2;
		double ss = (sumXX + sumYY) / df;
		double ss_diff_mean = ss * (nX + nY) / double(nX * nY);
		t = (meanX - meanY) / sqrt(ss_diff_mean);
	}

}